using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ESRI.ArcGIS.Display;
using System.Diagnostics;

namespace ColorRamp
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void button1_Click(object sender, EventArgs e)
    {
      Panel[] panels1 = new Panel[8] { panel1, panel2, panel3, panel4, panel5, panel6, panel7, panel8 };
     
      IRgbColor fc = new RgbColorClass();
      IRgbColor tc = new RgbColorClass();
      fc.Red = 255;
      fc.Green = 200;
      fc.Blue =100;
      tc.Red = 200;
      tc.Green = 0;
      tc.Blue = 0;

      IAlgorithmicColorRamp nx = new AlgorithmicColorRampClass();
      nx.ToColor = tc;
      nx.FromColor = fc;
      nx.Size = 8;
      nx.Algorithm = esriColorRampAlgorithm.esriLabLChAlgorithm;

      bool isCreated = true;
      nx.CreateRamp(out isCreated);

      IEnumColors hs = nx.Colors;
      IColor color = hs.Next();
      int i = 0;
      while (color != null)
      {
        Debug.WriteLine(color.RGB);
        int R = color.RGB & 0xff;
        int G = (color.RGB & 0xff00) / 0x100;
        int B = (color.RGB & 0xff0000) / 0x10000;
        Color somecolor = Color.FromArgb(R, G, B);
        panels1[i++].BackColor = somecolor;
        color = hs.Next();
      }
    }
  }
}